## manaplus 1.5.4.25

=== src/CMakeLists.txt ===
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_mixer REQUIRED)
FIND_PACKAGE(SDL_net REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_gfx REQUIRED)
FIND_PACKAGE(CURL REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(PhysFS REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

IF (POLICY CMP0015)
  CMAKE_POLICY(SET CMP0015 OLD)
ENDIF()

SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
SET(DYE_FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\" -DDYECMD")
SET(DYE_FLAGS "${DYE_FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(DYE_FLAGS "${DYE_FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")

IF (ENABLE_NLS)
    SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
ENDIF()

IF (ENABLE_EATHENA)
    SET(FLAGS "${FLAGS} -DEATHENA_SUPPORT=1")
ENDIF()
IF (ENABLE_TMWA)
    SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
ENDIF()

IF (CMAKE_BUILD_TYPE)
    STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
       CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
        SET(FLAGS "${FLAGS} -DDEBUG")
        SET(DYE_FLAGS "${DYE_FLAGS} -DDEBUG")
    ENDIF()
ENDIF()

IF (WIN32)
    SET(EXTRA_LIBRARIES ws2_32 winmm)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
    # explicit linking to libintl is required on Solaris
    SET(EXTRA_LIBRARIES intl)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL Linux)
    #some distros need this explicitly linked
    SET(EXTRA_LIBRARIES rt)
ENDIF()

SET(FLAGS "${FLAGS} -DUSE_MUMBLE")

IF (WITH_OPENGL)
    FIND_PACKAGE(OpenGL REQUIRED)
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_OPENGL")
ENDIF (WITH_OPENGL)

IF (USE_X11)
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_X11")
ENDIF (USE_X11)

INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SDL_INCLUDE_DIR}
    ${SDLIMAGE_INCLUDE_DIR}
    ${SDLMIXER_INCLUDE_DIR}
    ${SDLNET_INCLUDE_DIR}
    ${SDLTTF_INCLUDE_DIR}
    ${SDLGFX_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${PHYSFS_INCLUDE_DIR}
    ${CURL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    )

# enable rc-handling with mingw
# most likely this part can be kicked out with some later cmake version
IF (MINGW)
    FIND_PATH(MINGW_INCLUDE_DIR windows.h $ENV{INCLUDE})
    IF (MINGW_INCLUDE_DIR)
        MESSAGE(STATUS "Found mingw headers: ${MINGW_INCLUDE_DIR}")
        INCLUDE_DIRECTORIES(${MINGW_INCLUDE_DIR})
    ELSE()
        MESSAGE(FATAL_ERROR "Unable to find mingw headers. Required for windres")
    ENDIF()
    SET(CMAKE_RC_COMPILER_INIT windres)
    ENABLE_LANGUAGE(RC)
    SET(CMAKE_RC_COMPILE_OBJECT
      "<CMAKE_RC_COMPILER> <FLAGS> <DEFINES> -O coff -o <OBJECT> <SOURCE>")
ENDIF()

# Fix some stuff that gets not hidden by mainline modules
MARK_AS_ADVANCED(PHYSFS_INCLUDE_DIR)
MARK_AS_ADVANCED(PHYSFS_LIBRARY)
MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
MARK_AS_ADVANCED(SDLMIXER_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLMIXER_LIBRARY)
MARK_AS_ADVANCED(SDLNET_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLNET_LIBRARY)
MARK_AS_ADVANCED(SDL_INCLUDE_DIR)
MARK_AS_ADVANCED(SDL_LIBRARY)

SET(SRCS
    gui/widgets/avatarlistbox.cpp
    gui/widgets/avatarlistbox.h
    gui/models/avatarlistmodel.h
    gui/models/beingslistmodel.h
    gui/models/colorlistmodel.h
    gui/widgets/tabs/chat/battletab.cpp
    gui/widgets/tabs/chat/battletab.h
    gui/widgets/tabs/chat/channeltab.cpp
    gui/widgets/tabs/chat/channeltab.h
    gui/widgets/browserbox.cpp
    gui/widgets/browserbox.h
    gui/widgets/button.cpp
    gui/widgets/button.h
    gui/widgets/characterdisplay.cpp
    gui/widgets/characterdisplay.h
    gui/widgets/characterviewbase.h
    gui/widgets/characterviewnormal.cpp
    gui/widgets/characterviewnormal.h
    gui/widgets/characterviewsmall.cpp
    gui/widgets/characterviewsmall.h
    gui/widgets/tabs/chat/chattabtype.h
    gui/widgets/tabs/debugwindowtabs.cpp
    gui/widgets/tabs/debugwindowtabs.h
    gui/widgets/tabs/chat/chattab.cpp
    gui/widgets/tabs/chat/chattab.h
    gui/widgets/chatinput.h
    gui/widgets/checkbox.cpp
    gui/widgets/checkbox.h
    gui/models/colormodel.cpp
    gui/models/colormodel.h
    gui/widgets/colorpage.cpp
    gui/widgets/colorpage.h
    gui/widgets/container.cpp
    gui/widgets/container.h
    gui/widgets/containerplacer.cpp
    gui/widgets/containerplacer.h
    gui/widgets/desktop.cpp
    gui/widgets/desktop.h
    gui/widgets/dropdown.cpp
    gui/widgets/dropdown.h
    gui/widgets/emoteshortcutcontainer.cpp
    gui/widgets/emoteshortcutcontainer.h
    gui/widgets/equipmentbox.h
    gui/widgets/equipmentpage.h
    gui/widgets/extendedlistbox.cpp
    gui/widgets/extendedlistbox.h
    gui/widgets/extendedlistboxitem.h
    gui/models/extendedlistmodel.h
    gui/models/extendednamesmodel.cpp
    gui/models/extendednamesmodel.h
    gui/models/fontsizechoicelistmodel.h
    gui/models/fontsmodel.h
    gui/models/iconsmodel.h
    gui/models/ignorechoiceslistmodel.h
    gui/models/itemsmodel.h
    gui/models/keylistmodel.h
    gui/models/langlistmodel.h
    gui/widgets/flowcontainer.cpp
    gui/widgets/flowcontainer.h
    gui/widgets/tabs/chat/gmtab.cpp
    gui/widgets/tabs/chat/gmtab.h
    gui/widgets/tabs/chat/guildtab.cpp
    gui/widgets/tabs/chat/guildtab.h
    gui/widgets/tabs/chat/partytab.cpp
    gui/widgets/tabs/chat/partytab.h
    gui/widgets/horizontcontainer.cpp
    gui/widgets/horizontcontainer.h
    gui/widgets/icon.cpp
    gui/widgets/icon.h
    gui/widgets/inttextfield.cpp
    gui/widgets/inttextfield.h
    gui/widgets/itemcontainer.cpp
    gui/widgets/itemcontainer.h
    gui/widgets/itemlinkhandler.cpp
    gui/widgets/itemlinkhandler.h
    gui/widgets/virtshortcutcontainer.cpp
    gui/widgets/virtshortcutcontainer.h
    gui/widgets/emotepage.cpp
    gui/widgets/emotepage.h
    gui/widgets/itemshortcutcontainer.cpp
    gui/widgets/itemshortcutcontainer.h
    gui/widgets/spellshortcutcontainer.cpp
    gui/widgets/spellshortcutcontainer.h
    gui/widgets/statuswindowattrs.h
    gui/widgets/label.cpp
    gui/widgets/label.h
    gui/widgets/tabs/chat/langtab.cpp
    gui/widgets/tabs/chat/langtab.h
    gui/widgets/layout.cpp
    gui/widgets/layout.h
    gui/widgets/layoutarray.cpp
    gui/widgets/layoutarray.h
    gui/widgets/layoutcell.cpp
    gui/widgets/layoutcell.h
    gui/widgets/layouthelper.cpp
    gui/widgets/layouthelper.h
    gui/widgets/layouttype.h
    gui/widgets/linepart.cpp
    gui/widgets/linepart.h
    gui/widgets/linkhandler.h
    gui/widgets/listbox.cpp
    gui/widgets/listbox.h
    gui/models/modelistmodel.cpp
    gui/models/modelistmodel.h
    gui/models/namesmodel.cpp
    gui/models/namesmodel.h
    gui/models/opengllistmodel.h
    gui/models/playerrelationlistmodel.h
    gui/models/playertablemodel.cpp
    gui/models/playertablemodel.h
    gui/models/questsmodel.h
    gui/models/serverslistmodel.h
    gui/widgets/passwordfield.cpp
    gui/widgets/passwordfield.h
    gui/widgets/playerbox.cpp
    gui/widgets/playerbox.h
    gui/widgets/popup.cpp
    gui/widgets/popup.h
    gui/widgets/popuplist.cpp
    gui/widgets/popuplist.h
    gui/widgets/progressbar.cpp
    gui/widgets/progressbar.h
    gui/widgets/progressindicator.cpp
    gui/widgets/progressindicator.h
    gui/widgets/radiobutton.cpp
    gui/widgets/radiobutton.h
    gui/widgets/radiogroup.cpp
    gui/widgets/radiogroup.h
    gui/widgets/scrollarea.cpp
    gui/widgets/scrollarea.h
    gui/widgets/serverslistbox.h
    gui/widgets/setupbuttonitem.cpp
    gui/widgets/setupbuttonitem.h
    gui/widgets/setupitem.cpp
    gui/widgets/setupitem.h
    gui/widgets/setupquickitem.cpp
    gui/widgets/setupquickitem.h
    gui/widgets/tabs/setuptab.cpp
    gui/widgets/tabs/setuptab.h
    gui/widgets/tabs/setuptabscroll.cpp
    gui/widgets/tabs/setuptabscroll.h
    gui/widgets/setuptouchitem.cpp
    gui/widgets/setuptouchitem.h
    gui/models/shopitems.cpp
    gui/models/shopitems.h
    gui/widgets/shoplistbox.cpp
    gui/widgets/shoplistbox.h
    gui/widgets/shortcutcontainer.cpp
    gui/widgets/shortcutcontainer.h
    gui/widgets/skilldata.cpp
    gui/widgets/skilldata.h
    gui/widgets/skillinfo.cpp
    gui/widgets/skillinfo.h
    gui/widgets/skilllistbox.h
    gui/models/skillmodel.cpp
    gui/models/skillmodel.h
    gui/models/sortlistmodelbuy.h
    gui/models/sortlistmodelinv.h
    gui/models/soundsmodel.h
    gui/widgets/slider.cpp
    gui/widgets/slider.h
    gui/widgets/sliderlist.cpp
    gui/widgets/sliderlist.h
    gui/widgets/tabs/shortcuttab.h
    gui/widgets/tabs/skilltab.h
    gui/widgets/tabs/socialattacktab.h
    gui/widgets/tabs/socialfriendsfunctor.h
    gui/widgets/tabs/socialfriendstab.h
    gui/widgets/tabs/socialguildtab.h
    gui/widgets/tabs/socialguildtab2.h
    gui/widgets/tabs/socialnavigationtab.h
    gui/widgets/tabs/socialpartytab.h
    gui/widgets/tabs/socialpickuptab.h
    gui/widgets/tabs/socialplayerstab.h
    gui/widgets/tabs/socialtab.h
    gui/widgets/tabs/socialtabbase.h
    gui/widgets/tabs/tab.cpp
    gui/widgets/tabs/tab.h
    gui/widgets/tabbedarea.cpp
    gui/widgets/tabbedarea.h
    gui/widgets/guitable.cpp
    gui/widgets/guitable.h
    gui/models/tablemodel.cpp
    gui/models/tablemodel.h
    gui/models/targettypemodel.h
    gui/models/touchactionmodel.cpp
    gui/models/touchactionmodel.h
    gui/models/typelistmodel.h
    gui/models/updatetypemodel.h
    gui/models/userstablemodel.h
    gui/models/updatelistmodel.h
    gui/models/worldlistmodel.h
    gui/models/themesmodel.h
    gui/widgets/tabstrip.cpp
    gui/widgets/tabstrip.h
    gui/widgets/textbox.cpp
    gui/widgets/textbox.h
    gui/widgets/textfield.cpp
    gui/widgets/textfield.h
    gui/widgets/textpreview.cpp
    gui/widgets/textpreview.h
    gui/widgets/tabs/chat/tradetab.cpp
    gui/widgets/tabs/chat/tradetab.h
    gui/widgets/vertcontainer.cpp
    gui/widgets/vertcontainer.h
    gui/widgets/tabs/chat/whispertab.cpp
    gui/widgets/tabs/chat/whispertab.h
    gui/widgets/widget2.h
    gui/widgets/widgetgroup.cpp
    gui/widgets/widgetgroup.h
    gui/widgets/window.cpp
    gui/widgets/window.h
    gui/widgets/windowcontainer.cpp
    gui/widgets/windowcontainer.h
    gui/popups/beingpopup.cpp
    gui/popups/beingpopup.h
    gui/popups/createpartypopup.h
    gui/windows/buydialog.cpp
    gui/windows/buydialog.h
    gui/windows/buyselldialog.cpp
    gui/windows/buyselldialog.h
    gui/windows/changeemaildialog.cpp
    gui/windows/changeemaildialog.h
    gui/windows/changepassworddialog.cpp
    gui/windows/changepassworddialog.h
    gui/windows/charselectdialog.cpp
    gui/windows/charselectdialog.h
    gui/windows/charcreatedialog.cpp
    gui/windows/charcreatedialog.h
    gui/windows/chardeleteconfirm.h
    gui/windows/chatwindow.cpp
    gui/windows/chatwindow.h
    gui/windows/confirmdialog.cpp
    gui/windows/confirmdialog.h
    gui/windows/connectiondialog.cpp
    gui/windows/connectiondialog.h
    gui/windows/debugwindow.cpp
    gui/windows/debugwindow.h
    gui/windows/didyouknowwindow.cpp
    gui/windows/didyouknowwindow.h
    gui/windows/editdialog.cpp
    gui/windows/editdialog.h
    gui/windows/editserverdialog.cpp
    gui/windows/editserverdialog.h
    gui/windows/emotewindow.cpp
    gui/windows/emotewindow.h
    gui/windows/equipmentwindow.cpp
    gui/windows/equipmentwindow.h
    gui/focushandler.cpp
    gui/focushandler.h
    gui/gui.cpp
    gui/gui.h
    gui/windows/helpwindow.cpp
    gui/windows/helpwindow.h
    gui/windows/inventorywindow.cpp
    gui/windows/inventorywindow.h
    gui/windows/itemamountwindow.cpp
    gui/windows/itemamountwindow.h
    gui/popups/itempopup.cpp
    gui/popups/itempopup.h
    gui/popups/spellpopup.cpp
    gui/popups/spellpopup.h

=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(flags)
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(shaders)
ADD_SUBDIRECTORY(sprites)

=== data/graphics/shaders/CMakeLists.txt ===
SET(FILES
    simple_frag.glsl
    simple_vertex.glsl
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/shaders)

## manaplus 1.5.5.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -302,7 +302,6 @@
     gui/models/touchactionmodel.h
     gui/models/typelistmodel.h
     gui/models/updatetypemodel.h
-    gui/models/userstablemodel.h
     gui/models/updatelistmodel.h
     gui/models/worldlistmodel.h
     gui/models/themesmodel.h
@@ -365,6 +364,7 @@
     gui/focushandler.h
     gui/gui.cpp
     gui/gui.h
+    gui/mailmessage.h
     gui/windows/helpwindow.cpp
     gui/windows/helpwindow.h
     gui/windows/inventorywindow.cpp
@@ -375,3 +375,4 @@
     gui/popups/itempopup.h
     gui/popups/spellpopup.cpp
     gui/popups/spellpopup.h
+    gui/popups/statuspopup.cpp

=== debian/changelog ===
manaplus (1.5.5.9-1) unstable; urgency=low

  * New upstream release.
    - Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 May 2015 20:07:43 +0200

manaplus (1.5.4.25-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Apr 2015 13:46:44 +0200

manaplus (1.5.4.11-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Apr 2015 18:42:23 +0200

manaplus (1.5.3.14-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Mar 2015 15:42:44 +0100

manaplus (1.5.2.28-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Mar 2015 08:40:07 +0100

## manaplus 1.5.5.23

=== debian/changelog ===
manaplus (1.5.5.23-1) unstable; urgency=low

  * New upstream release.
    - Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 29 May 2015 11:51:16 +0200

## manaplus 1.5.6.6

=== debian/changelog ===
manaplus (1.5.6.6-1) unstable; urgency=low

  * New upstream release.
    - Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Jun 2015 13:36:42 +0200

## manaplus 1.5.6.20

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -149,6 +149,7 @@
     gui/widgets/container.h
     gui/widgets/containerplacer.cpp
     gui/widgets/containerplacer.h
+    gui/widgets/createwidget.h
     gui/widgets/desktop.cpp
     gui/widgets/desktop.h
     gui/widgets/dropdown.cpp
@@ -375,4 +376,3 @@
     gui/popups/itempopup.h
     gui/popups/spellpopup.cpp
     gui/popups/spellpopup.h
-    gui/popups/statuspopup.cpp

=== debian/changelog ===
manaplus (1.5.6.20-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Jun 2015 10:46:24 +0200

## manaplus 1.5.7.4

=== debian/changelog ===
manaplus (1.5.7.4-1) unstable; urgency=low

  * New upstream release.
  * Remove around 3700 useless lines from debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 10:12:39 +0200

## manaplus 1.5.7.18

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -368,11 +368,10 @@
     gui/mailmessage.h
     gui/windows/helpwindow.cpp
     gui/windows/helpwindow.h
+    gui/windows/insertcarddialog.cpp
+    gui/windows/insertcarddialog.h
     gui/windows/inventorywindow.cpp
     gui/windows/inventorywindow.h
     gui/windows/itemamountwindow.cpp
     gui/windows/itemamountwindow.h
     gui/popups/itempopup.cpp
-    gui/popups/itempopup.h
-    gui/popups/spellpopup.cpp
-    gui/popups/spellpopup.h

=== debian/changelog ===
manaplus (1.5.7.18-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Jul 2015 17:58:54 +0200

## manaplus 1.5.8.1

=== data/graphics/badges/CMakeLists.txt ===
SET(FILES
    gm.png
    gm.xml
    team1.png
    team1.xml
    team2.png
    team2.xml
    team3.png
    team3.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/badges)

=== debian/changelog ===
manaplus (1.5.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2015 10:56:05 +0200

## manaplus 1.5.10.10

=== data/graphics/gui/CMakeLists.txt ===
SET (FILES
    browserbox.xml
    bubble.png
    bubble.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buttonplay.png
    buy.xml
    charcreate_playerbox.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    connection.xml
    dbutton.xml
    dbutton_image.xml
    desktop.xml
    dpad.xml
    dpad_image.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    emote_selection.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipment_playerbox.xml
    equipmentbox.png
    incomplete_icon.xml
    info.xml
    inventory.xml
    item_selection.xml
    item_shortcut_background.xml
    itemcontainer.xml
    keyboard_icon.xml
    label.xml
    listbox.xml
    lock.png
    mailedit.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popupbrowserbox.xml
    progress-indicator.png
    progressbar.xml
    progressbar_fill.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    shop.xml
    slider.xml
    slider_highlighted.xml
    speechbrowserbox.xml
    speechbubble.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    target-cursor-in-range-l.png
    target-cursor-in-range-l.xml
    target-cursor-in-range-m.png
    target-cursor-in-range-m.xml
    target-cursor-in-range-s.png
    target-cursor-in-range-s.xml
    target-cursor-normal-l.png
    target-cursor-normal-l.xml
    target-cursor-normal-m.png
    target-cursor-normal-m.xml
    target-cursor-normal-s.png
    target-cursor-normal-s.xml
    textfield.xml
    textpreview.xml
    unknown-item.png
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/gui)

=== data/themes/golden-delicious/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    button.xml
    buy.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    dbutton.xml
    desktop.xml
    didyouknow.xml
    dpad.xml
    dropdown_background.xml
    dropdown_pressed.xml
    dropdown.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment_background.xml
    equipmentbox.png
    equipment.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    itemcontainer.xml
    itempopup.xml
    item_selection.xml
    items.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerboxselected.xml
    playerbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_xxhigh.xml
    popup_high.xml
    popuplist.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu.xml
    popupmenu_xxhigh.xml
    popup_xhigh.xml
    popup.xml
    popup_xxhigh.xml
    progressbar.xml
    progress-indicator.png
    quests.xml
    radio.xml
    resize.xml
    scroll_background.xml
    scrollbuttons_pressed.xml
    scrollbuttons.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scroll.xml
    sell.xml
    serverslistbox.xml
    server.xml
    shoplistbox.xml
    shop.xml
    skilllistbox.xml
    skillpopup.xml
    slider_highlighted.xml
    slider.xml
    social.xml
    spells.xml
    status.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    tab.xml
    textfield.xml
    windowmenu.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/golden-delicious)

=== data/themes/jewelry/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buy.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry)

=== data/themes/pink/CMakeLists.txt ===
SET (FILES
    bubble.png
    buy.xml
    colors.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progress-indicator.png
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    unknown-item.png
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/pink)

=== debian/changelog ===
manaplus (1.5.10.10-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Oct 2015 16:01:14 +0200

manaplus (1.5.9.26-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Oct 2015 10:15:05 +0200

manaplus (1.5.9.12-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2015 14:21:46 +0200

manaplus (1.5.8.29-1) unstable; urgency=medium

  * New upstream release.
  * Fix some debian/copyright lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Sep 2015 20:27:04 +0200

manaplus (1.5.8.15-1) unstable; urgency=medium

  * New upstream release.
    - Adjust debian/copyright.
  * Add missing license paragraphs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Aug 2015 19:32:00 +0200

## manaplus 1.5.10.24

=== debian/changelog ===
manaplus (1.5.10.24-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Oct 2015 17:56:26 +0100

## manaplus 1.5.11.7

=== data/perserver/default/CMakeLists.txt ===
SET (FILES
    charcreation.xml
    chatcommands.txt
    deadmessages.xml
    defaultcommands.xml
    features.xml
    gmcommands.txt
    weapons.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/perserver/default)

=== data/themes/golden-delicious/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     incomplete_icon.xml
     info.xml
     inventory.xml
+    inventory_cell2.xml
     itemcontainer.xml
     itempopup.xml
     item_selection.xml

=== data/themes/jewelry/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
     incomplete_icon.xml
     info.xml
     inventory.xml
+    inventory_cell2.xml
     item_selection.xml
     itemcontainer.xml
     itempopup.xml

=== data/themes/unity/CMakeLists.txt ===
SET (FILES
    buy.xml
    char.xml
    colors.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    social.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/unity)

=== data/themes/wood/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    equipment.xml
    info.xml
    inventory.xml
    item_shortcut_bgr.png
    mailedit.xml
    mouse.png
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/wood)

=== debian/changelog ===
manaplus (1.5.11.7-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 11 Nov 2015 13:33:42 +0100

## manaplus 1.5.12.5

=== debian/changelog ===
manaplus (1.5.12.5-1) unstable; urgency=medium

  * New upstream release.
    - Adjust file list in debian/copyright.
  * Overwrite false positive missing-license-paragraph-in-dep5-copyright
    lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Dec 2015 10:42:32 +0100

## manaplus 1.5.12.19

=== data/graphics/flags/CMakeLists.txt ===
SET(FILES
    ca.png
    cn.png
    cz.png
    de.png
    en.png
    es.png
    fi.png
    fr.png
    hk.png
    id.png
    it.png
    jp.png
    nl_BE.png
    pl.png
    pt_BR.png
    pt.png
    ru.png
    se.png
    tr.png
    ua.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/flags)

=== data/themes/enchilado/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    equipment.xml
    info.xml
    inventory.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    shop.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/enchilado)

=== data/themes/golden-delicious/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
     button_pressed.xml
     button.xml
     buy.xml
+    charcreate.xml
     CHANGELOG.txt
     chat.xml
     checkbox.xml

=== debian/changelog ===
manaplus (1.5.12.19-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Dec 2015 13:36:58 +0100

## manaplus 1.6.1.2

=== debian/changelog ===
manaplus (1.6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Jan 2016 11:48:33 +0100

## manaplus 1.6.1.16

=== debian/changelog ===
manaplus (1.6.1.16-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.
  * Update build depdency to libpng-dev.
    Closes: #810192

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 18 Jan 2016 10:09:13 +0100

## manaplus 1.6.1.30

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
 IF (ENABLE_TMWA)
     SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
 ENDIF()
+
+SET(FLAGS "${FLAGS} -DENABLE_LIBXML")
 
 IF (CMAKE_BUILD_TYPE)
     STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
@@ -374,4 +376,3 @@
     gui/windows/inventorywindow.h
     gui/windows/itemamountwindow.cpp
     gui/windows/itemamountwindow.h
-    gui/popups/itempopup.cpp

=== data/graphics/gui/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
     incomplete_icon.xml
     info.xml
     inventory.xml
+    inventory_cell.xml
+    inventory_cell2.xml
     item_selection.xml
     item_shortcut_background.xml
     itemcontainer.xml

=== data/themes/jewelry/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
     button_highlighted.xml
     button_pressed.xml
     buy.xml
+    charcreate.xml
     CHANGELOG.txt
     chat.xml
     checkbox.xml

=== debian/changelog ===
manaplus (1.6.1.30-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Feb 2016 14:16:42 +0100

=== debian/control ===
Source: manaplus
Section: games
Priority: optional
Homepage: http://manaplus.org/
Maintainer: Andrei Karas <akaras@inbox.ru>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libsdl-net1.2-dev,
 libsdl-mixer1.2-dev,
 libphysfs-dev,
 libpng-dev,
 libxml2-dev,
 zlib1g-dev,
 libsdl-ttf2.0-dev,
 libsdl-gfx1.2-dev,
 dh-autoreconf,
 autopoint

Package: manaplus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 manaplus-data (= ${source:Version}),
 xsel,
 x11-utils,
 xdg-utils
Suggests: mumble
Description: Extended client for Evol Online and The Mana World
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.

Package: manaplus-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 manaplus (= ${binary:Version})
Description: Extended client for Evol Online and The Mana World (debugging symbols)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package provides debugging symbols for the manaplus package.

Package: manaplus-data
Architecture: all
Depends: ${misc:Depends},
 ttf-dejavu-core,
 fonts-liberation
Recommends: manaplus,
 fonts-mplus,
 fonts-wqy-microhei
Description: Extended client for Evol Online and The Mana World (data files)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package contains the data files.

## manaplus 1.6.2.13

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
CMAKE_POLICY(VERSION 2.6)

PROJECT(MANAPLUS)

IF (NOT VERSION)
    SET(VERSION 1.0.0)
ENDIF()

STRING(REPLACE "." " " _VERSION ${VERSION})
SEPARATE_ARGUMENTS(_VERSION)
LIST(LENGTH _VERSION _LEN)
IF(NOT _LEN EQUAL 4 AND NOT _LEN EQUAL 3)
    MESSAGE(FATAL_ERROR "Version needs to be in the form MAJOR.MINOR.RELEASE[.BUILD]")
ENDIF()

LIST(GET _VERSION 0 VER_MAJOR)
LIST(GET _VERSION 1 VER_MINOR)
LIST(GET _VERSION 2 VER_RELEASE)
IF(_LEN EQUAL 4)
    LIST(GET _VERSION 3 VER_BUILD)
ELSE()
    SET(VER_BUILD 0)
ENDIF()

# where to look for cmake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

FIND_PACKAGE(Gettext)

OPTION(WITH_OPENGL "Enable OpenGL support" ON)
OPTION(ENABLE_NLS "Enable building of tranlations" ON)
OPTION(ENABLE_EATHENA "Enable eAthena support" ON)
OPTION(ENABLE_TMWA "Enable tmwA support" ON)

IF (WIN32)
    SET(PKG_DATADIR ".")
    SET(PKG_BINDIR ".")
    SET(LOCALEDIR ".")
    CONFIGURE_FILE(src/winver.h.in src/winver.h)
ELSE (WIN32)
    IF (NOT OSX AND NOT BEOS)
        OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
    ENDIF ()
    SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/manaplus)
    SET(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
    SET(PKG_BINDIR ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF (WIN32)

ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)

IF (GETTEXT_FOUND AND ENABLE_NLS)
    ADD_SUBDIRECTORY(po)
ENDIF()

If(UNIX)
    INSTALL(FILES manaplus.desktop DESTINATION share/applications)
    INSTALL(FILES manaplustest.desktop DESTINATION share/applications)
ENDIF()

SET(CPACK_PACKAGE_NAME "manaplus")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ManaPlus")
SET(CPACK_PACKAGE_VENDOR "ManaPlus Development Team")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "ManaPlus")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VER_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VER_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VER_RELEASE})
IF(WIN32)
    SET(CPACK_NSIS_DISPLAY_NAME "ManaPlus")
    SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons/manaplus.ico")
    SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/packaging/windows/setup_welcome.bmp")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http://manaplus.org")
ENDIF()
INCLUDE(CPack)

=== data/CMakeLists.txt ===
SET(DATA_DIR ${PKG_DATADIR}/data)

ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(graphics)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(perserver)
ADD_SUBDIRECTORY(sfx)
ADD_SUBDIRECTORY(test)
ADD_SUBDIRECTORY(themes)
ADD_SUBDIRECTORY(translations)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -351,6 +351,8 @@
     gui/windows/confirmdialog.h
     gui/windows/connectiondialog.cpp
     gui/windows/connectiondialog.h
+    gui/windows/cutinwindow.cpp
+    gui/windows/cutinwindow.h
     gui/windows/debugwindow.cpp
     gui/windows/debugwindow.h
     gui/windows/didyouknowwindow.cpp
@@ -374,5 +376,3 @@
     gui/windows/insertcarddialog.h
     gui/windows/inventorywindow.cpp
     gui/windows/inventorywindow.h
-    gui/windows/itemamountwindow.cpp
-    gui/windows/itemamountwindow.h

=== data/help/CMakeLists.txt ===
SET(FILES
    about.txt
    about-tmw.txt
    chatcommands.txt
    chatguild.txt
    chatparty.txt
    commands.txt
    download.txt
    footer.txt
    header.txt
    index.txt
    otherteam.txt
    searchmany.txt
    searchnotfound.txt
    skills.txt
    support.txt
    team.txt
    windows.txt
    )

ADD_SUBDIRECTORY(idx tips)

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/help)

=== data/test/CMakeLists.txt ===
SET(FILES
    palette.gpl
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

=== data/graphics/badges/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,12 @@
 SET(FILES
+    away.png
+    away.xml
     gm.png
     gm.xml
+    inactive.png
+    inactive.xml
+    shop.png
+    shop.xml
     team1.png
     team1.xml
     team2.png

=== data/graphics/images/CMakeLists.txt ===
SET(FILES
    error.png
    login_wallpaper.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/images)

=== data/themes/enchilado/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 SET (FILES
     buy.xml
     colors.xml
+    cutin.xml
     equipment.xml
     info.xml
     inventory.xml

=== data/themes/jewelry/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     circle-on.xml
     colors.xml
     complete_icon.xml
+    cutin.xml
     dbutton.xml
     didyouknow.xml
     dpad.xml

=== debian/changelog ===
manaplus (1.6.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2016 13:24:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://manaplus.org/
 Maintainer: Andrei Karas <akaras@inbox.ru>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/games

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip -a --dbg-package=manaplus-dbg

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt

%:
	dh $@ --parallel --with autoreconf

## manaplus 1.6.4.23

=== debian/changelog ===
manaplus (1.6.4.23-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 24 Apr 2016 11:49:16 +0200

manaplus (1.6.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Override false positive spelling-error-in-binary lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2016 12:22:55 +0200

manaplus (1.6.3.26-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Mar 2016 10:17:53 +0200

manaplus (1.6.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Enable full hardening.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Mar 2016 19:25:51 +0100

## manaplus 1.6.5.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
     SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
 ENDIF()
 
-SET(FLAGS "${FLAGS} -DENABLE_LIBXML")
+SET(FLAGS "${FLAGS} -DENABLE_LIBXML -DENABLE_ASSERTS")
 
 IF (CMAKE_BUILD_TYPE)
     STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
@@ -135,7 +135,6 @@
     gui/widgets/characterviewnormal.h
     gui/widgets/characterviewsmall.cpp
     gui/widgets/characterviewsmall.h
-    gui/widgets/tabs/chat/chattabtype.h
     gui/widgets/tabs/debugwindowtabs.cpp
     gui/widgets/tabs/debugwindowtabs.h
     gui/widgets/tabs/chat/chattab.cpp
@@ -376,3 +375,4 @@
     gui/windows/insertcarddialog.h
     gui/windows/inventorywindow.cpp
     gui/windows/inventorywindow.h
+    gui/windows/itemamountwindow.cpp

=== data/test/CMakeLists.txt ===
SET(FILES
    palette.gpl
    simplefile.txt
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

=== debian/changelog ===
manaplus (1.6.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.
  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 May 2016 16:17:33 +0200

## manaplus 1.6.5.21

=== debian/changelog ===
manaplus (1.6.5.21-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 May 2016 09:35:45 +0200

## manaplus 1.6.6.4

=== data/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 SET(FILES
     palette.gpl
+    serverlistplus.xml
     simplefile.txt
     )

=== debian/changelog ===
manaplus (1.6.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Jun 2016 11:29:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://manaplus.org/
 Maintainer: Andrei Karas <akaras@inbox.ru>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

## manaplus 1.6.7.2

=== data/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 SET(FILES
+    arrow_up.png
+    arrow_up_A.png
+    arrow_up_B.png
+    arrow_up_S.png
     palette.gpl
     serverlistplus.xml
     simplefile.txt

=== debian/changelog ===
manaplus (1.6.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Set myself as maintainer.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Jul 2016 10:04:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: games
 Priority: optional
 Homepage: http://manaplus.org/
-Maintainer: Andrei Karas <akaras@inbox.ru>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  libcurl4-gnutls-dev,

## manaplus 1.6.7.30

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,9 +26,6 @@
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
 ENDIF()
 
-IF (ENABLE_EATHENA)
-    SET(FLAGS "${FLAGS} -DEATHENA_SUPPORT=1")
-ENDIF()
 IF (ENABLE_TMWA)
     SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
 ENDIF()
@@ -135,6 +132,12 @@
     gui/widgets/characterviewnormal.h
     gui/widgets/characterviewsmall.cpp
     gui/widgets/characterviewsmall.h
+    gui/widgets/attrs/attrdisplay.cpp
+    gui/widgets/attrs/attrdisplay.h
+    gui/widgets/attrs/changedisplay.cpp
+    gui/widgets/attrs/changedisplay.h
+    gui/widgets/attrs/derdisplay.cpp
+    gui/widgets/attrs/derdisplay.h
     gui/widgets/tabs/debugwindowtabs.cpp
     gui/widgets/tabs/debugwindowtabs.h
     gui/widgets/tabs/chat/chattab.cpp
@@ -198,7 +201,10 @@
     gui/widgets/itemshortcutcontainer.h
     gui/widgets/spellshortcutcontainer.cpp
     gui/widgets/spellshortcutcontainer.h
-    gui/widgets/statuswindowattrs.h
+    gui/widgets/statspage.cpp
+    gui/widgets/statspage.h
+    gui/widgets/statspagebasic.cpp
+    gui/widgets/statspagebasic.h
     gui/widgets/label.cpp
     gui/widgets/label.h
     gui/widgets/tabs/chat/langtab.cpp
@@ -264,10 +270,10 @@
     gui/widgets/shoplistbox.h
     gui/widgets/shortcutcontainer.cpp
     gui/widgets/shortcutcontainer.h
-    gui/widgets/skilldata.cpp
-    gui/widgets/skilldata.h
-    gui/widgets/skillinfo.cpp
-    gui/widgets/skillinfo.h
+    resources/skill/skilldata.cpp
+    resources/skill/skilldata.h
+    resources/skill/skillinfo.cpp
+    resources/skill/skillinfo.h
     gui/widgets/skilllistbox.h
     gui/models/skillmodel.cpp
     gui/models/skillmodel.h
@@ -368,11 +374,3 @@
     gui/focushandler.h
     gui/gui.cpp
     gui/gui.h
-    gui/mailmessage.h
-    gui/windows/helpwindow.cpp
-    gui/windows/helpwindow.h
-    gui/windows/insertcarddialog.cpp
-    gui/windows/insertcarddialog.h
-    gui/windows/inventorywindow.cpp
-    gui/windows/inventorywindow.h
-    gui/windows/itemamountwindow.cpp

## manaplus 1.6.8.27

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -290,7 +290,6 @@
     gui/widgets/tabs/socialfriendsfunctor.h
     gui/widgets/tabs/socialfriendstab.h
     gui/widgets/tabs/socialguildtab.h
-    gui/widgets/tabs/socialguildtab2.h
     gui/widgets/tabs/socialnavigationtab.h
     gui/widgets/tabs/socialpartytab.h
     gui/widgets/tabs/socialpickuptab.h
@@ -336,7 +335,6 @@
     gui/widgets/windowcontainer.h
     gui/popups/beingpopup.cpp
     gui/popups/beingpopup.h
-    gui/popups/createpartypopup.h
     gui/windows/buydialog.cpp
     gui/windows/buydialog.h
     gui/windows/buyselldialog.cpp
@@ -374,3 +372,5 @@
     gui/focushandler.h
     gui/gui.cpp
     gui/gui.h
+    gui/mailmessage.h
+    gui/windows/helpwindow.cpp

=== data/test/CMakeLists.txt ===
SET(FILES
    arrow_up.png
    arrow_up_A.png
    arrow_up_B.png
    arrow_up_S.png
    dye.png
    equipmentwindow.xml
    items.xml
    palette.gpl
    paths.xml
    quests.xml
    serverlistplus.xml
    simplefile.txt
    units.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

=== debian/changelog ===
manaplus (1.6.8.27-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 31 Aug 2016 10:38:05 +0200

manaplus (1.6.8.14-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Aug 2016 11:02:11 +0200

manaplus (1.6.7.30-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Aug 2016 11:09:48 +0200

manaplus (1.6.7.16-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Jul 2016 10:48:09 +0200

## manaplus 1.6.10.22

=== debian/changelog ===
manaplus (1.6.10.22-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Oct 2016 11:23:24 +0200

manaplus (1.6.10.8-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 17 Oct 2016 09:16:11 +0200

manaplus (1.6.9.24-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Sep 2016 09:06:07 +0200

manaplus (1.6.9.10-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Sep 2016 08:25:12 +0200

## manaplus 1.6.11.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -217,7 +217,9 @@
     gui/widgets/layoutcell.h
     gui/widgets/layouthelper.cpp
     gui/widgets/layouthelper.h
-    gui/widgets/layouttype.h
+    enums/gui/layouttype.h
+    enums/gui/npcactionstate.h
+    enums/gui/npcinputstate.h
     gui/widgets/linepart.cpp
     gui/widgets/linepart.h
     gui/widgets/linkhandler.h
@@ -373,4 +375,3 @@
     gui/gui.cpp
     gui/gui.h
     gui/mailmessage.h
-    gui/windows/helpwindow.cpp

=== data/test/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     quests.xml
     serverlistplus.xml
     simplefile.txt
+    testintmap.xml
     units.xml
     )

=== data/graphics/gui/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     colors.xml
     complete_icon.xml
     connection.xml
+    cutin.xml
     dbutton.xml
     dbutton_image.xml
     desktop.xml

=== data/themes/golden-delicious/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     circle-on.xml
     colors.xml
     complete_icon.xml
+    cutin.xml
     dbutton.xml
     desktop.xml
     didyouknow.xml

## manaplus 1.6.12.24

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -277,6 +277,7 @@
     resources/skill/skillinfo.cpp
     resources/skill/skillinfo.h
     gui/widgets/skilllistbox.h
+    gui/widgets/skillrectanglelistbox.h
     gui/models/skillmodel.cpp
     gui/models/skillmodel.h
     gui/models/sortlistmodelbuy.h
@@ -372,6 +373,3 @@
     gui/windows/equipmentwindow.h
     gui/focushandler.cpp
     gui/focushandler.h
-    gui/gui.cpp
-    gui/gui.h
-    gui/mailmessage.h

=== debian/changelog ===
manaplus (1.6.12.24-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Dec 2016 15:55:32 +0100

manaplus (1.6.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Nov 2016 09:38:10 +0100
